
QGIS Application - Bug report #19945

ogr based tools cannot output anymore to temp files

2018-09-25 08:01 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Processing/OGR

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27767

Description

Tested the buffer tool, but possibly all others are affected. This is regardless of the input data type. Example:

ogr2ogr /tmp/processing_db57843afc44487c9e08a83e234924aa/bfb8be3fac3446a2b0be83fc1e1050ba/OUTPUT.shp

/home/giovanni/Desktop/teste.gpkg -dialect sqlite -sql "SELECT ST_Buffer(geom, 1.0) AS geom,

fid,gid,fips,iso2,iso3,un,name,area,pop2005,region,lon,lat,id,dadsadsa FROM 'teste'" -f "ESRI Shapefile" 

GDAL command output:

ERROR 1: Failed to create file

/tmp/processing_db57843afc44487c9e08a83e234924aa/bfb8be3fac3446a2b0be83fc1e1050ba/OUTPUT.shp: No such file or

or2ogr cannot write to "/tmp/processing_db57843afc44487c9e08a83e234924aa/bfb8be3fac3446a2b0be83fc1e1050ba/" because the

folder does not exist beforehand.

Related issues:

Related to QGIS Application - Bug report # 19938: GDAL/OGR vector geoprocessi... Closed 2018-09-25

History

#1 - 2018-09-25 08:22 PM - Giovanni Manghi

- Description updated

#2 - 2018-09-25 08:28 PM - Giovanni Manghi

- Category changed from Processing/GDAL to Processing/OGR

#3 - 2018-09-25 10:59 PM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#4 - 2018-09-27 08:44 AM - Jürgen Fischer

- Related to Bug report #19938: GDAL/OGR vector geoprocessing algorithms not working with GPKG, SQLite, FileGDB, etc inputs added

#5 - 2018-09-28 04:30 AM - Nyall Dawson

- Status changed from In Progress to Feedback

I can't reproduce -- can you post steps to reproduce? Can you create folders under tmp?

#6 - 2018-09-28 05:27 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
Cannot replicate anymore... weird, I didn't even updated master since I reported this.
